Bug 812634 - New server vm is created without monitor device
New server vm is created without monitor device
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Eli Mesika
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 11:22 EDT by Rami Vaknin
Modified: 2014-01-12 18:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:04:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rami Vaknin 2012-04-15 11:22:27 EDT
Scenario:
Create new vm (server) with default parameters

Result:
No monitors created in vm_device when creating that vm

Thread-853::ERROR::2012-04-15 13:51:00,718::vm::601::vm.Vm::(_startUnderlyingVm) vmId=`0095083c-7add-47a2-b9de-c65da9e86b96`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 567, in _startUnderlyingVm
    self._run()
  File "/usr/share/vdsm/libvirtvm.py", line 1335, in _run
    domxml = hooks.before_vm_start(self._buildCmdLine(), self.conf)
  File "/usr/share/vdsm/libvirtvm.py", line 1202, in _buildCmdLine
    devElem = dev.getXML()
  File "/usr/share/vdsm/libvirtvm.py", line 880, in getXML
    m.setAttribute('vram', self.specParams['vram'])
AttributeError: 'VideoDevice' object has no attribute 'specParams'
Comment 1 Eli Mesika 2012-04-15 11:32:14 EDT
http://gerrit.ovirt.org/#change,3542
Comment 2 Itamar Heim 2012-08-09 04:04:20 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.